using Wizard.Scripts.Network.Data.TaskData;

namespace Wizard.Scripts.Network.Task.ItemAcquireHistory;

public class ItemAcquireHistoryInfoTask : BaseTask
{
	public class ItemAcquireHistoryInfoTaskParam : BaseParam
	{
	}

	public ItemAcquireHistoryInfoTask()
	{
		base.type = ApiType.Type.ItemAcquireHistoryInfo;
	}

	public void SetParameter()
	{
		ItemAcquireHistoryInfoTaskParam itemAcquireHistoryInfoTaskParam = new ItemAcquireHistoryInfoTaskParam();
		base.Params = itemAcquireHistoryInfoTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Wizard.Data.ItemAcquireHistoryInfo = new ItemAcquireHistoryInfo(base.ResponseData["data"]["histories"]);
		return num;
	}
}
